Name:          libclc
Epoch:         1
Version:       18.1.7
Release:       1mamba
Summary:       An implementation of the library requirements of the OpenCL C programming language
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://libclc.llvm.org/
Source:        https://github.com/llvm/llvm-project/releases/download/llvmorg-%{version}/libclc-%{version}.src.tar.xz
License:       BSD
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: libllvm-devel

%description
libclc is an open source, BSD licensed implementation of the library requirements of the OpenCL C programming language, as specified by the OpenCL 1.1 Specification.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%prep
%setup -q -n %{name}-%{version}.src
#-D -T

%build
#:<< _EOF
mkdir -p build
cd build

cmake .. -G Ninja \
  -DCMAKE_BUILD_TYPE=Release \
  -DCMAKE_INSTALL_PREFIX=%{_prefix}

ninja

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
cd build
export DESTDIR=%{buildroot}
ninja install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files devel
%defattr(-,root,root)
%dir %{_includedir}/clc
%{_includedir}/clc/*
%dir %{_datadir}/clc
%{_datadir}/clc/*.bc
%{_datadir}/clc/*.spv
%{_datadir}/pkgconfig/libclc.pc
%doc README.TXT

%changelog
* Fri Jun 14 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 18.1.7-1mamba
- update to 18.1.7

* Thu Jan 14 2021 Automatic Build System <autodist@mambasoft.it> 11.0.1-1mamba
- automatic version update by autodist

* Wed Jan 06 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 11.0.0-1mamba
- update to 11.0.0

* Fri Sep 19 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 20140919git-1mamba
- package created using the webbuild interface
